#### Previous topic

scipy.fftpack.convolve.convolve_z

#### Next topic

scipy.fftpack.convolve.destroy_convolve_cache

# scipy.fftpack.convolve.init_convolution_kernel

`scipy.fftpack.convolve.``init_convolution_kernel`(n, kernel_func[, d, zero_nyquist, kernel_func_extra_args]) = <fortran object>

  Wrapper for `init_convolution_kernel`.

  Parameters: | n : input int kernel_func : call-back function
  Returns: | omega : rank-1 array(‘d’) with bounds (n)
  Other Parameters:

  d : input int, optional

  > Default: 0

  kernel_func_extra_args : input tuple, optional

  > Default: ()

  zero_nyquist : input int, optional

  > Default: d%2

  Notes

  Call-back functions:

      def kernel_func(k): return kernel_func
      Required arguments:
        k : input int
      Return objects:
        kernel_func : float